libosmo-sigtran: src/sccp_instance.h File Reference

libosmo-sigtran 2.2.1.99-1c6a Osmocom SIGTRAN library

Data Structures | Macros | Enumerations | Functions | Variables
sccp_instance.h File Reference
`#include <inttypes.h>`
`#include <osmocom/core/fsm.h>`
`#include <osmocom/core/prim.h>`
`#include <osmocom/core/linuxlist.h>`
`#include <osmocom/core/linuxrbtree.h>`
`#include <osmocom/core/tdef.h>`
`#include <osmocom/sigtran/sccp_sap.h>`
`#include <osmocom/sigtran/osmo_ss7.h>`
`#include <osmocom/sigtran/protocol/mtp.h>`

Go to the source code of this file.

## Data Structures
struct | sccp_pending_rout_fail
struct | osmo_sccp_instance

## Macros
#define | _LOGPSCI(sci, subsys, level, fmt, args ...) _LOGSS7((sci)->ss7, subsys, level, "SCCP(rctx=%" PRIu32 ") " fmt, (sci)->route_ctx, ## args)
#define | LOGPSCI(sci, level, fmt, args ...) _LOGPSCI(sci, DLSCCP, level, fmt, ## args)

## Enumerations
enum | osmo_sccp_timer { OSMO_SCCP_TIMER_CONN_EST = 1 , OSMO_SCCP_TIMER_IAS , OSMO_SCCP_TIMER_IAR , OSMO_SCCP_TIMER_REL , OSMO_SCCP_TIMER_REPEAT_REL , OSMO_SCCP_TIMER_INT , OSMO_SCCP_TIMER_GUARD , OSMO_SCCP_TIMER_RESET , OSMO_SCCP_TIMER_REASSEMBLY , OSMO_SCCP_TIMERS_LEN }

## Functions
static const char * | osmo_sccp_timer_name (enum osmo_sccp_timer val)
struct osmo_sccp_user * | sccp_user_find (struct osmo_sccp_instance *inst, uint16_t ssn, uint32_t pc)
| Find a SCCP User registered for given PC+SSN or SSN only First search all users with a valid PC for a full PC+SSN match. More...

## Variables
const struct osmo_tdef | osmo_sccp_timer_defaults [OSMO_SCCP_TIMERS_LEN]
const struct value_string | osmo_sccp_timer_names []

## Macro Definition Documentation

## ◆ _LOGPSCI

#define _LOGPSCI | ( |  | sci,
|  |  | subsys,
|  |  | level,
|  |  | fmt,
|  |  | args ...
| ) |  | _LOGSS7((sci)->ss7, subsys, level, "SCCP(rctx=%" PRIu32 ") " fmt, (sci)->route_ctx, ## args)

## ◆ LOGPSCI

#define LOGPSCI | ( |  | sci,
|  |  | level,
|  |  | fmt,
|  |  | args ...
| ) |  | _LOGPSCI(sci, DLSCCP, level, fmt, ## args)

## Enumeration Type Documentation

## ◆ osmo_sccp_timer

enum osmo_sccp_timer

Enumerator
OSMO_SCCP_TIMER_CONN_EST |
OSMO_SCCP_TIMER_IAS |
OSMO_SCCP_TIMER_IAR |
OSMO_SCCP_TIMER_REL |
OSMO_SCCP_TIMER_REPEAT_REL |
OSMO_SCCP_TIMER_INT |
OSMO_SCCP_TIMER_GUARD |
OSMO_SCCP_TIMER_RESET |
OSMO_SCCP_TIMER_REASSEMBLY |
OSMO_SCCP_TIMERS_LEN |

## Function Documentation

## ◆ osmo_sccp_timer_name()

static const char * osmo_sccp_timer_name | ( | enum osmo_sccp_timer | val | ) |
| inlinestatic

References osmo_sccp_timer_names.

## ◆ sccp_user_find()

struct osmo_sccp_user * sccp_user_find | ( | struct osmo_sccp_instance * | inst,
|  | uint16_t | ssn,
|  | uint32_t | pc
| ) |  |

Find a SCCP User registered for given PC+SSN or SSN only First search all users with a valid PC for a full PC+SSN match.

If no such match was found, search all users with an invalid PC for an SSN-only match.

Parameters

  [in] | inst | SCCP Instance in which to search
  [in] | ssn | Sub-System Number to search for
  [in] | pc | Point Code to search for

Returns
  Matching SCCP User; NULL if none found

References osmo_sccp_user::inst, osmo_sccp_user::list, NULL, osmo_ss7_pc_is_valid(), osmo_sccp_user::pc, pc, osmo_sccp_user::ssn, ssn, and osmo_sccp_instance::users.

Referenced by DEFUN(), osmo_sccp_user_find(), sccp_find_user(), sccp_user_bind_pc(), sclc_rx_cldr(), sclc_rx_cldt(), scmg_rx_sst(), and scrc_node_6().

## Variable Documentation

## ◆ osmo_sccp_timer_defaults

const struct osmo_tdef osmo_sccp_timer_defaults[OSMO_SCCP_TIMERS_LEN]
| extern

Referenced by gen_sccp_timer_cmd_strs(), and osmo_sccp_instance_create().

## ◆ osmo_sccp_timer_names

const struct value_string osmo_sccp_timer_names[]
| extern

Referenced by DEFUN_ATTR(), gen_sccp_timer_cmd_strs(), osmo_sccp_timer_name(), and write_sccp_timers().